<div class="d-flex mx-auto" style="width: fit-content; width: -moz-fit-content">
  <button class="btn btn-outline-success" [routerLink]="'/edit-author/'">Créer un auteur</button>
</div>

<table class="table">
  <thead>
  <tr>
    <th scope="col">#</th>
    <th scope="col">Nom</th>
    <th scope="col">Prénom</th>
    <th scope="col">Actions</th>
  </tr>
  </thead>
  <tbody>
  <tr scope="row" *ngFor="let author of authors.entries()">
    <td>{{ author[0] }}</td>
    <td>{{ author[1].lastName }}</td>
    <td>{{ author[1].firstName }}</td>
    <td>
      <button class="btn btn-outline-success" routerLink="/author/{{author[0]}}">
        Afficher
      </button>
      <button class="btn btn-outline-primary" routerLink="/edit-author/{{author[0]}}">
        Modifier
      </button>
      <button class="btn btn-outline-danger" (click)="authorsService.deleteAuthorFromId(author[0])">Supprimer</button>
    </td>
  </tr>
  </tbody>
</table>
